package eu.jonahbauer.wizard.core.machine.states.game;

import eu.jonahbauer.wizard.core.machine.GameState;
import eu.jonahbauer.wizard.core.machine.states.GameData;
import lombok.Getter;

@Getter
public final class Error extends GameState {
    private final Throwable cause;

    public Error(Throwable cause) {
        super(GameData.EMPTY);
        this.cause = cause;
    }
}
